package com.steering.pss.ydm.pipeleavefactory;

/**
 * 装车材料表 实体类
 * @author Administrator TJG 2015/03/14
 */
public class FrmLoadVehicleMat {
    /**
     * 装车序号
     */
    private String strSqe = "";
    /**
     * 发货单号(理货单号)
     */
    private String strSendno = "";
    /**
     * 提单号
     */
    private String strPickup = "";
    /**
     * 车船号
     */
    private String strVehicle = "";
    /**
     * 合同号
     */
    private String strOrdno = "";
    /**
     * 合同行号
     */
    private String strOrdsqe = "";
    /**
     * 合同子行号
     */
    private String strOrdsqeno = "";
    /**
     * 材料号
     */
    private String strMatno = "";
    /**
     * 生产合同号
     */
    private String strPro = "";
    /**
     * 生产批号
     */
    private String strLotno = "";
    /**
     * 判定炉号
     */
    private String strJudgeno = "";
    /**
     * 批号（炉批号）
     */
    private String strBatchno = "";
    /**
     * 组号（判定有关）--长度、样管（炉批向下）
     */
    private String strGroupno = "";
    /**
     * 熔炼炉号
     */
    private String strStoveno = "";
    /**
     * 物料码
     */
    private String strMaterialno = "";
    /**
     * 物料描叙
     */
    private String strMaterialname = "";
    /**
     * 品名代码
     */
    private String strpProduccode = "";
    /**
     * 品名描述
     */
    private String strProducname = "";
    /**
     * 标准代码
     */
    private String strStdcode = "";
    /**
     * 标准名称
     */
    private String strStdname = "";
    /**
     * 钢种代码
     */
    private String strGradecode = "";
    /**
     * 钢种名称
     */
    private String strGradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String strSteelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String strSteelname = "";
    /**
     * 标准类别代码
     */
    private String strSidstyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String strStdstyledesc = "";
    /**
     * 产品规格代码
     */
    private String strSpecode = "";
    /**
     * 产品规格描述
     */
    private String strSpecname = "";
    /**
     * 扣型代码
     */
    private String strModelcode = "";
    /**
     * 扣型描述
     */
    private String strModeldesc = "";
    /**
     * 产线代码（机组）
     */
    private String strPlinecode = "";
    /**
     * 产线描述
     */
    private String strPlinename = "";
    /**
     * 外径(实际)
     */
    private String strActdimater = "";
    /**
     * 壁厚(实际)
     */
    private String strActheight = "";
    /**
     * 长度下限(实际)
     */
    private String strActlenmin = "";
    /**
     * 长度上限(实际)
     */
    private String strActlenmax = "";
    /**
     * 长度(实际)
     */
    private String strActlen = "";
    /**
     * 材料支数(实际)
     */
    private String strActcount = "";
    /**
     * 材料实重(实际)
     */
    private String strActweight = "";
    /**
     * 材料理论重量(实际)
     */
    private String strTheoryweight = "";
    /**
     * 综合判定结果代码
     */
    private String strResultode = "";
    /**
     * 生产班次
     */
    private String strProbc = "";
    /**
     * 生产班组
     */
    private String strProbz = "";
    /**
     * 生产下线时间
     */
    private String strProtime = "";
    /**
     * 销售组织(国贸/钢贸/销售公司)
     */
    private String strSaleorg = "";
    /**
     * 销售组织描述
     */
    private String strSaleorgdesc = "";
    /**
     * 销售区域
     */
    private String strSalearea = "";
    /**
     * 出厂方式(火车、汽车；船舶)
     */
    private String strTranstpe = "";
    /**
     * 收货单位编码
     */
    private String strReceivno = "";
    /**
     * 收货单位名称
     */
    private String strReceivnm = "";
    /**
     * 到站编码
     */
    private String strStationno = "";
    /**
     * 到站名称
     */
    private String strStationnm = "";
    /**
     * 专用线编码
     */
    private String strSpclno = "";
    /**
     * 专用线名称
     */
    private String strSpclname = "";
    /**
     * 港口/码头
     */
    private String strPort = "";
    /**
     * 船批号
     */
    private String strShipno = "";
    /**
     * 出货工厂
     */
    private String strPlant = "";
    /**
     * 出货工厂描述
     */
    private String strPlantname = "";
    /**
     * 装运点
     */
    private String strVstel = "";
    /**
     * 装运点描述
     */
    private String strVsteldesc = "";
    /**
     * 装运点描述
     */
    private String strCarryno = "";
    /**
     * 承运公司代码
     */
    private String strCarrycode = "";
    /**
     * 承运公司名称
     */
    private String strCarryname = "";
    /**
     * 交货点代码
     */
    private String strDelivycode = "";
    /**
     * 交货点名称
     */
    private String strDelivyname = "";
    /**
     * 结算单位编码
     */
    private String strUnitno = "";
    /**
     * 结算单位名称
     */
    private String strUnitname = "";
    /**
     * 备注
     */
    private String strMemo = "";
    /**
     * 有效标志
     */
    private String strValidflag = "";
    /**
     * 创建人
     */
    private String strCreatename = "";
    /**
     * 创建时间
     */
    private String strCreatetime = "";
    /**
     * 仓库号
     */
    private String storage = "";

    /**
     * 料位号
     */
    private String location = "";
    /**
     * 工序代码
     */
    private String procode = "";
    /**
     * 工序名称
     */
    private String proname = "";
    /**
     * 库分类代码
     */
    private String strtypeno = "";
    /**
     * 库分类代码描述
     */
    private String strtypename = "";
    /**
     * 管理单位代码
     */
    private String manageno = "";
    /**
     * 管理单位名称
     */
    private String managename = "";
    /**
     * 发货单类型
     */
    private String loadtype = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行
     */
    private String ordLnDivPk = "";
    private String prdCls;

    public String getPrdCls() {
        return prdCls;
    }

    public void setPrdCls(String prdCls) {
        this.prdCls = prdCls;
    }

    public FrmLoadVehicleMat() {
        strSqe = "";
        strSendno = "";
        strPickup = "";
        strVehicle = "";
        strOrdno = "";
        strOrdsqe = "";
        strOrdsqeno = "";
        strMatno = "";
        strPro = "";
        strLotno = "";
        strJudgeno = "";
        strBatchno = "";
        strGroupno = "";
        strStoveno = "";
        strMaterialno = "";
        strMaterialname = "";
        strpProduccode = "";
        strProducname = "";
        strStdcode = "";
        strStdname = "";
        strGradecode = "";
        strGradename = "";
        strSteelcode = "";
        strSteelname = "";
        strSidstyle = "";
        strStdstyledesc = "";
        strSpecode = "";
        strSpecname = "";
        strModelcode = "";
        strModeldesc = "";
        strPlinecode = "";
        strPlinename = "";
        strActdimater = "";
        strActheight = "";
        strActlenmin = "";
        strActlenmax = "";
        strActlen = "";
        strActcount = "";
        strActweight = "";
        strTheoryweight = "";
        strResultode = "";
        strProbc = "";
        strProbz = "";
        strProtime = "";
        strSaleorg = "";
        strSaleorgdesc = "";
        strSalearea = "";
        strTranstpe = "";
        strReceivno = "";
        strReceivnm = "";
        strStationno = "";
        strStationnm = "";
        strSpclno = "";
        strSpclname = "";
        strPort = "";
        strShipno = "";
        strPlant = "";
        strPlantname = "";
        strVstel = "";
        strVsteldesc = "";
        strCarryno = "";
        strCarrycode = "";
        strCarryname = "";
        strDelivycode = "";
        strDelivyname = "";
        strUnitno = "";
        strUnitname = "";
        strMemo = "";
        strValidflag = "";
        strCreatename = "";
        strCreatetime = "";
        storage = "";
        location = "";
        procode = "";
        proname = "";
        strtypeno = "";
        strtypename = "";
        manageno = "";
        managename = "";
        loadtype = "";
        ordPk = "";
        ordLnPk = "";
        ordLnDivPk = "";
    }

    public String getOrdPk() {
        return ordPk;
    }

    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    public String getOrdLnPk() {
        return ordLnPk;
    }

    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    public String getOrdLnDivPk() {
        return ordLnDivPk;
    }

    public void setOrdLnDivPk(String ordLnDivPk) {
        this.ordLnDivPk = ordLnDivPk;
    }

    public String getStrCarryno() {
        return strCarryno;
    }

    public void setStrCarryno(String strCarryno) {
        this.strCarryno = strCarryno;
    }

    public String getStrShipno() {
        return strShipno;
    }

    public void setStrShipno(String strShipno) {
        this.strShipno = strShipno;
    }

    public String getStrPlant() {
        return strPlant;
    }

    public void setStrPlant(String strPlant) {
        this.strPlant = strPlant;
    }

    public String getStrPlantname() {
        return strPlantname;
    }

    public void setStrPlantname(String strPlantname) {
        this.strPlantname = strPlantname;
    }

    public String getLoadtype() {
        return loadtype;
    }

    public void setLoadtype(String loadtype) {
        this.loadtype = loadtype;
    }

    public String getStrtypeno() {
        return strtypeno;
    }

    public void setStrtypeno(String strtypeno) {
        this.strtypeno = strtypeno;
    }

    public String getStrtypename() {
        return strtypename;
    }

    public void setStrtypename(String strtypename) {
        this.strtypename = strtypename;
    }

    public String getManageno() {
        return manageno;
    }

    public void setManageno(String manageno) {
        this.manageno = manageno;
    }

    public String getManagename() {
        return managename;
    }

    public void setManagename(String managename) {
        this.managename = managename;
    }

    public String getProcode() {
        return procode;
    }

    public void setProcode(String procode) {
        this.procode = procode;
    }

    public String getProname() {
        return proname;
    }

    public void setProname(String proname) {
        this.proname = proname;
    }

    public String getStorage() {
        return storage;
    }

    public void setStorage(String storage) {
        this.storage = storage;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getStrSqe() {
        return strSqe;
    }

    public void setStrSqe(String strSqe) {
        this.strSqe = strSqe;
    }

    public String getStrSendno() {
        return strSendno;
    }

    public void setStrSendno(String strSendno) {
        this.strSendno = strSendno;
    }

    public String getStrPickup() {
        return strPickup;
    }

    public void setStrPickup(String strPickup) {
        this.strPickup = strPickup;
    }

    public String getStrVehicle() {
        return strVehicle;
    }

    public void setStrVehicle(String strVehicle) {
        this.strVehicle = strVehicle;
    }

    public String getStrOrdno() {
        return strOrdno;
    }

    public void setStrOrdno(String strOrdno) {
        this.strOrdno = strOrdno;
    }

    public String getStrOrdsqe() {
        return strOrdsqe;
    }

    public void setStrOrdsqe(String strOrdsqe) {
        this.strOrdsqe = strOrdsqe;
    }

    public String getStrOrdsqeno() {
        return strOrdsqeno;
    }

    public void setStrOrdsqeno(String strOrdsqeno) {
        this.strOrdsqeno = strOrdsqeno;
    }

    public String getStrMatno() {
        return strMatno;
    }

    public void setStrMatno(String strMatno) {
        this.strMatno = strMatno;
    }

    public String getStrLotno() {
        return strLotno;
    }

    public void setStrLotno(String strLotno) {
        this.strLotno = strLotno;
    }

    public String getStrJudgeno() {
        return strJudgeno;
    }

    public void setStrJudgeno(String strJudgeno) {
        this.strJudgeno = strJudgeno;
    }

    public String getStrBatchno() {
        return strBatchno;
    }

    public void setStrBatchno(String strBatchno) {
        this.strBatchno = strBatchno;
    }

    public String getStrGroupno() {
        return strGroupno;
    }

    public void setStrGroupno(String strGroupno) {
        this.strGroupno = strGroupno;
    }

    public String getStrStoveno() {
        return strStoveno;
    }

    public void setStrStoveno(String strStoveno) {
        this.strStoveno = strStoveno;
    }

    public String getStrMaterialno() {
        return strMaterialno;
    }

    public void setStrMaterialno(String strMaterialno) {
        this.strMaterialno = strMaterialno;
    }

    public String getStrMaterialname() {
        return strMaterialname;
    }

    public void setStrMaterialname(String strMaterialname) {
        this.strMaterialname = strMaterialname;
    }

    public String getStrpProduccode() {
        return strpProduccode;
    }

    public void setStrpProduccode(String strpProduccode) {
        this.strpProduccode = strpProduccode;
    }

    public String getStrProducname() {
        return strProducname;
    }

    public void setStrProducname(String strProducname) {
        this.strProducname = strProducname;
    }

    public String getStrStdcode() {
        return strStdcode;
    }

    public void setStrStdcode(String strStdcode) {
        this.strStdcode = strStdcode;
    }

    public String getStrStdname() {
        return strStdname;
    }

    public void setStrStdname(String strStdname) {
        this.strStdname = strStdname;
    }

    public String getStrGradecode() {
        return strGradecode;
    }

    public void setStrGradecode(String strGradecode) {
        this.strGradecode = strGradecode;
    }

    public String getStrGradename() {
        return strGradename;
    }

    public void setStrGradename(String strGradename) {
        this.strGradename = strGradename;
    }

    public String getStrSteelcode() {
        return strSteelcode;
    }

    public void setStrSteelcode(String strSteelcode) {
        this.strSteelcode = strSteelcode;
    }

    public String getStrSteelname() {
        return strSteelname;
    }

    public void setStrSteelname(String strSteelname) {
        this.strSteelname = strSteelname;
    }

    public String getStrSidstyle() {
        return strSidstyle;
    }

    public void setStrSidstyle(String strSidstyle) {
        this.strSidstyle = strSidstyle;
    }

    public String getStrStdstyledesc() {
        return strStdstyledesc;
    }

    public String getStrSalearea() {
        return strSalearea;
    }

    public void setStrSalearea(String strSalearea) {
        this.strSalearea = strSalearea;
    }

    public void setStrStdstyledesc(String strStdstyledesc) {
        this.strStdstyledesc = strStdstyledesc;
    }

    public String getStrSpecode() {
        return strSpecode;
    }

    public void setStrSpecode(String strSpecode) {
        this.strSpecode = strSpecode;
    }

    public String getStrSpecname() {
        return strSpecname;
    }

    public void setStrSpecname(String strSpecname) {
        this.strSpecname = strSpecname;
    }

    public String getStrModelcode() {
        return strModelcode;
    }

    public void setStrModelcode(String strModelcode) {
        this.strModelcode = strModelcode;
    }

    public String getStrModeldesc() {
        return strModeldesc;
    }

    public void setStrModeldesc(String strModeldesc) {
        this.strModeldesc = strModeldesc;
    }

    public String getStrPlinecode() {
        return strPlinecode;
    }

    public void setStrPlinecode(String strPlinecode) {
        this.strPlinecode = strPlinecode;
    }

    public String getStrPlinename() {
        return strPlinename;
    }

    public void setStrPlinename(String strPlinename) {
        this.strPlinename = strPlinename;
    }

    public String getStrActdimater() {
        return strActdimater;
    }

    public void setStrActdimater(String strActdimater) {
        this.strActdimater = strActdimater;
    }

    public String getStrActheight() {
        return strActheight;
    }

    public void setStrActheight(String strActheight) {
        this.strActheight = strActheight;
    }

    public String getStrActlenmin() {
        return strActlenmin;
    }

    public void setStrActlenmin(String strActlenmin) {
        this.strActlenmin = strActlenmin;
    }

    public String getStrActlenmax() {
        return strActlenmax;
    }

    public void setStrActlenmax(String strActlenmax) {
        this.strActlenmax = strActlenmax;
    }

    public String getStrActlen() {
        return strActlen;
    }

    public void setStrActlen(String strActlen) {
        this.strActlen = strActlen;
    }

    public String getStrActcount() {
        return strActcount;
    }

    public void setStrActcount(String strActcount) {
        this.strActcount = strActcount;
    }

    public String getStrActweight() {
        return strActweight;
    }

    public void setStrActweight(String strActweight) {
        this.strActweight = strActweight;
    }

    public String getStrTheoryweight() {
        return strTheoryweight;
    }

    public void setStrTheoryweight(String strTheoryweight) {
        this.strTheoryweight = strTheoryweight;
    }

    public String getStrResultode() {
        return strResultode;
    }

    public void setStrResultode(String strResultode) {
        this.strResultode = strResultode;
    }

    public String getStrProbc() {
        return strProbc;
    }

    public void setStrProbc(String strProbc) {
        this.strProbc = strProbc;
    }

    public String getStrProbz() {
        return strProbz;
    }

    public void setStrProbz(String strProbz) {
        this.strProbz = strProbz;
    }

    public String getStrProtime() {
        return strProtime;
    }

    public void setStrProtime(String strProtime) {
        this.strProtime = strProtime;
    }

    public String getStrSaleorg() {
        return strSaleorg;
    }

    public void setStrSaleorg(String strSaleorg) {
        this.strSaleorg = strSaleorg;
    }

    public String getStrSaleorgdesc() {
        return strSaleorgdesc;
    }

    public void setStrSaleorgdesc(String strSaleorgdesc) {
        this.strSaleorgdesc = strSaleorgdesc;
    }

    public String getStrTranstpe() {
        return strTranstpe;
    }

    public void setStrTranstpe(String strTranstpe) {
        this.strTranstpe = strTranstpe;
    }

    public String getStrReceivno() {
        return strReceivno;
    }

    public void setStrReceivno(String strReceivno) {
        this.strReceivno = strReceivno;
    }

    public String getStrReceivnm() {
        return strReceivnm;
    }

    public void setStrReceivnm(String strReceivnm) {
        this.strReceivnm = strReceivnm;
    }

    public String getStrStationno() {
        return strStationno;
    }

    public void setStrStationno(String strStationno) {
        this.strStationno = strStationno;
    }

    public String getStrStationnm() {
        return strStationnm;
    }

    public void setStrStationnm(String strStationnm) {
        this.strStationnm = strStationnm;
    }

    public String getStrSpclno() {
        return strSpclno;
    }

    public void setStrSpclno(String strSpclno) {
        this.strSpclno = strSpclno;
    }

    public String getStrSpclname() {
        return strSpclname;
    }

    public void setStrSpclname(String strSpclname) {
        this.strSpclname = strSpclname;
    }

    public String getStrPort() {
        return strPort;
    }

    public void setStrPort(String strPort) {
        this.strPort = strPort;
    }

    public String getStrVstel() {
        return strVstel;
    }

    public void setStrVstel(String strVstel) {
        this.strVstel = strVstel;
    }

    public String getStrVsteldesc() {
        return strVsteldesc;
    }

    public void setStrVsteldesc(String strVsteldesc) {
        this.strVsteldesc = strVsteldesc;
    }

    public String getStrCarrycode() {
        return strCarrycode;
    }

    public void setStrCarrycode(String strCarrycode) {
        this.strCarrycode = strCarrycode;
    }

    public String getStrCarryname() {
        return strCarryname;
    }

    public void setStrCarryname(String strCarryname) {
        this.strCarryname = strCarryname;
    }

    public String getStrDelivycode() {
        return strDelivycode;
    }

    public void setStrDelivycode(String strDelivycode) {
        this.strDelivycode = strDelivycode;
    }

    public String getStrDelivyname() {
        return strDelivyname;
    }

    public void setStrDelivyname(String strDelivyname) {
        this.strDelivyname = strDelivyname;
    }

    public String getStrUnitno() {
        return strUnitno;
    }

    public void setStrUnitno(String strUnitno) {
        this.strUnitno = strUnitno;
    }

    public String getStrUnitname() {
        return strUnitname;
    }

    public void setStrUnitname(String strUnitname) {
        this.strUnitname = strUnitname;
    }

    public String getStrMemo() {
        return strMemo;
    }

    public void setStrMemo(String strMemo) {
        this.strMemo = strMemo;
    }

    public String getStrValidflag() {
        return strValidflag;
    }

    public void setStrValidflag(String strValidflag) {
        this.strValidflag = strValidflag;
    }

    public String getStrCreatename() {
        return strCreatename;
    }

    public void setStrCreatename(String strCreatename) {
        this.strCreatename = strCreatename;
    }

    public String getStrCreatetime() {
        return strCreatetime;
    }

    public void setStrCreatetime(String strCreatetime) {
        this.strCreatetime = strCreatetime;
    }

    public String getStrPro() {
        return strPro;
    }

    public void setStrPro(String strPro) {
        this.strPro = strPro;
    }

}
